22 Replies Latest reply: May 2, 2012 10:10 AM by aiofp RSS

    Can't open LR4 upgrade

    janitbtinaj Community Member

      My MAC meets spec but still getting this message "You can’t open the application “Adobe Photoshop Lightroom 4” because it’s not supported on this type of Mac." Has this happened to anyone else?